package home

# set the title of the home page to be "greenstone digital library"
# in the currently chosen language

_pagetitle_ {_textimagegreenstone_}

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. this is overridden here as we don't want 'home' 
# links on this page

_javalinks_ {_imagehelp__imagepref_}
_javalinks_ [v=1] {_imagehelp_<br>_imagepref_}

#######################################################################
# icons
#######################################################################

_iconselectcollection_ {<img align=texttop src="_httpiconselcolgr_" width=_widthselcolgr_ height=_heightselcolgr_ alt="_altselcolgr_" title="_altselcolgr_">}
_iconmusiclibrary_ {<img align=texttop src="_httpicontmusic_" border=1 alt="meldex music library" title="meldex music library">}

_imagecollection_ {<img src="_httpimg_/gsdlhead.gif">}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httppagegsdl_ {_httppagex_(gsdl)}
_httppagehomehelp_ {_httppagex_(homehelp)}
_httppagehomepref_ {_httppagex_(homepref)}

#######################################################################
# images
#######################################################################


_imagegli_ {_gsimage_(_httppagegli_,_httpimg_/cgliof.gif,_httpimg_/cglion.gif,gli,_gli:textgli_)}
_imagecollector_ {_gsimage_(_httppagecollector_,_httpimg_/ccolof.gif,_httpimg_/ccolon.gif,col,_collector:textcollector_)}
_imagetranslator_ {_gsimage_(_httppagetranslator_,_httpimg_/ctransof.gif,_httpimg_/ctranson.gif,trans,_translang:texttranslator_)}
_imageadmin_ {_gsimage_(_httppagestatus_,_httpimg_/cadminof.gif,_httpimg_/cadminon.gif,admin,_home:textadmin_)}
_imagegogreenstone_ {_gsimage_(_home:httppagegsdl_,_httpimg_/cabgsof.gif,_httpimg_/cabgson.gif,gogs,_home:textabgs_)}
_imagegodocs_ {_gsimage_(_home:httppagedocs_,_httpimg_/cgsdocof.gif,_httpimg_/cgsdocon.gif,docs,_home:textgsdocs_)}
_imagehelp_ {_gsimage_(_home:httppagehomehelp_,_httpiconchelpof_,_httpiconchelpon_,help,_textimagehelp_)}
_imagepref_ {_gsimage_(_home:httppagehomepref_,_httpiconcprefof_,_httpiconcprefon_,pref,_textimagepref_)}

#######################################################################
# page content                     
#######################################################################

_content_ {
<center>
<p>_iconselectcollection_
</center>
<p>_homeextra_

<center>
<p>_iconblankbar_
</center>
<p><table>
_textgogli_
_textgocollector_
_textgotranslator_
_textgoadmin_
_textgogreenstone_
_textgodocs_
</table>
<center>
<p>_iconblankbar_
</center>
_textaboutgreenstone_
<center>
<p>_iconblankbar_
</center>
}

# the _textgocollector_, _textgotranslator_, and _textgoadmin_ macros 
# may be overridden to be empty from within the receptionist if the 
# collector, translator, or admin facilities are disabled

_textgogli_ {
<tr valign=top>
<td valign=top>_imagegli_</td>
<td>_textimagegli_</td>
</tr>
}

_textgocollector_ {
<tr valign=top>
<td valign=top>_imagecollector_</td>
<td>_textimagecollector_</td>
</tr>
}

_textgotranslator_ {
<tr valign=top>
<td valign=top>_imagetranslator_</td>
<td>_textimagetranslator_</td>
</tr>
}

_textgoadmin_ {
<tr valign=top>
<td valign=top>_imageadmin_</td>
<td>_textimageadmin_</td>
</tr>
}

_textgogreenstone_ {
<tr valign=top>
<td valign=top>_imagegogreenstone_</td>
<td>_textimagegogreenstone_</td>
</tr>
}

_textgodocs_ {
<tr valign=top>
<td valign=top>_imagegodocs_</td>
<td>_textimagegodocs_</td>
</tr>
}

package homehelp

_imagecollection_ {<a href="_httppagehome_"><img src="_httpimg_/gsdlhead.gif" border="0"></a>}

_collectionlist_ {}

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}

_content_ {
<center>
<p>_iconblankbar_
</center>
<p>
<table border=0 cellspacing=0 cellpadding=0>
 <tr>
  <td valign=top align=center>_imagegreenstone_</td>
  <td valign=top>_gsdl:textgreenstone1_
  <br><br>
  </td>
 </tr>
</table>

<center>
<p>_iconblankbar_
</center>
_If_(_collectionlist_,_collectionlist_,_textnocollections_)

<center>
<p>_iconblankbar_
</center>
<p>_text4buts_
<p><table>
_home:textgogli_
_home:textgocollector_
_home:textgotranslator_
_home:textgoadmin_
_home:textgogreenstone_
_home:textgodocs_
</table>
<center>
<p>_iconblankbar_
</center>
}


package homepref

_imagecollection_ {<a href="_httppagehome_"><img src="_httpimg_/gsdlhead.gif" border="0"></a>}

_javalinks_ {_homepref:imagehome_}
_javalinks_ [v=1] {
_homepref:imagehome_<br>
}

_pagescriptextra_ {_preferences:pagescriptextra_}


_imagehome_ {_gsimage_(_homepref:httppagehome_,_httpiconchomeof_,_httpiconchomeon_,homer,_textimagehome_)}
_httppagehome_ {_httppagex_(home)}

_content_ {
<center>
<p>_iconblankbar_
</center>

<form name=PrefForm method=get action="_gwcgi_">
<h3>_preferences:textpresentationprefs_</h3>

<table border="0">
<tr valign="top">
<td>_preferences:textlanguage_</td>
<td>_languageoption_</td>
</tr>
<tr valign="top">
<td>_preferences:textencoding_</td>
<td>_encodingoption_</td>
</tr>
<tr valign="top">
_preferences:formatoption_
</tr>
</table>
<p>_iconblankbar_
}
